
//
// To jest przykładowy kod z podrozdziału 9.2 „Klasy i składowe klas” książki 
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

//------------------------------------------------------------------------------

class X {
public:
    int m;              // Zmienna składowa.
    int mf(int v) { int old = m; m=v; return old; } // Funkcja składowa.
};

//------------------------------------------------------------------------------

int main()
{
    X var;              // var jest zmienną typu X.
    var.m = 7;          // Przypisanie do składowe m obiektu var.
    int x = var.mf(9);  // Wywołanie funkcji składowej mf() obiektu var.
    return x;
}

//------------------------------------------------------------------------------
